<?php
require_once(SITE_LOGICS . 'card_apply/logic.php');

class ControlCardApply extends LogicCardApply {

	/*-------------------------------------------------------------------------
	* @ メンバ変数
	-------------------------------------------------------------------------*/

	/*-------------------------------------------------------------------------
	* @function_name: ロジックのコンストラクタ
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function __construct() {
		parent::__construct();
	}

	/*-------------------------------------------------------------------------
	* @function_name: コントロールパネルシステム動画データ編集ロジック（各クラス共通）
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function action() {
		// 変数宣言部
		$result = NO_STRING;

		try {
		    $this -> checkAvailability("site", function(){
		        require_once $this -> getUserHTML('TEMPLATE_MAINTENANCE_MODE_SITE_PATH');
		        exit();
		    });
		    
			// アクション実行
			$result = $this -> logic();

			// 画面の表示
			if($this -> getType() == TYPE_CONFIRM) {
				require_once($this -> getUserHTML('TEMPLATE_CARD_APPLY_STEP_2_PATH', $this -> dispHTML()));

			} else if($this -> getType() == TYPE_COMPLETE) {
				require_once($this -> getUserHTML('TEMPLATE_CARD_APPLY_STEP_3_PATH', $this -> dispHTML()));
// 				require_once($this -> getUserHTML('TEMPLATE_CARD_APPLY_STEP_1_PATH', $this -> dispHTML()));
			} else if($this -> getType() == TYPE_FAIL) {
				require_once($this -> getUserHTML('TEMPLATE_CARD_APPLY_ALREADY_PATH', $this -> dispHTML()));

			} else {
				require_once($this -> getUserHTML('TEMPLATE_CARD_APPLY_STEP_1_PATH', $this -> dispHTML()));
			}

		} catch (Exception $e) {

			if($e -> getMessage() != NO_STRING) {
				require_once($this -> getUserHTML('TEMPLATE_TMP_PROCESS_INVALID_PATH', $this -> dispHTML()));
			} else {
				header('Location: /' . $this ->  getLangage() . '/login');
			}
		}
	}
}
?>